From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/zarith/
Date: Mon, 11 Jan 2021 23:04:31 +0000 (UTC) [thread overview]
Message-ID: <1610406233.b0742694a6a835cd121ae5f5eb523240d95f329f.sam@gentoo> (raw)
commit: b0742694a6a835cd121ae5f5eb523240d95f329f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 23:02:46 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 23:03:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0742694
dev-ml/zarith: bump to 1.11
* Add subslot dep (:=) on sys-libs/mpir because
it exposes a subslot
* Drop multilib.eclass, we don't need it for
get_libdir for a few EAPIs now.
* Inherit toolchain-funcs to avoid indirect
inheritance through multilib, though.
* Use RESTRICT to only allow tests when USE=ocamlopt
* Use [ocamlopt=] dep because we need ocamlopt to be
entirely aligned on/off, whereas [ocamlopt?] will
only set it on, not force it off in the negative
case
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ml/zarith/Manifest | 1 +
dev-ml/zarith/zarith-1.11.ebuild | 58 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-ml/zarith/Manifest b/dev-ml/zarith/Manifest
index e8e4215241c..ecd22ba5cce 100644
--- a/dev-ml/zarith/Manifest
+++ b/dev-ml/zarith/Manifest
@@ -1,3 +1,4 @@
DIST zarith-1.10.tar.gz 95543 BLAKE2B 4effafb5a4f90fe48282feb6a3deb07cde4e465c52149d663b1185f82c20ad7e72a02e5965cc3d589ea873f82c33f69dcb47299bbd6a9fa7a6fd686ce14ad61d SHA512 94958feccd3be863b4bcc7887f5108099962402ab6eddbae42420cd04323aafe930dac75c6f1f3d50d8f57cdd2108f1b25546999bac3f03a0a682127d5b67612
+DIST zarith-1.11.tar.gz 98909 BLAKE2B 01deed333dc79dfdb5748c835ef80403c7892e36e461a1c65e5bb97f147b32df2e6cbe8f4e9b916aabc3bd2479bd97439a68d9cdb123d15b7c9ed0e3e7f784f3 SHA512 7c0645d63511d42b763cd0a33b3fb139c26d23ae0cf59cd651388644cb8e7c43a83265d55d69ff3320d8c4586c4f8dbd9c3412197bab2e110c38e6e7dac88b83
DIST zarith-1.7.tar.gz 89617 BLAKE2B ee8a272a7421d9e723af8aa6207da8fe046585804e669058b6dec8fb47cab80e438d0520c1b61ed6c79bc279d162a7a1043fa40e74c50342b7e4d553ca8e8f5b SHA512 812b5f9b24ce7a24d3370b8728ff6eeb56e3280fa1573e694fe54e781668c29bf8ff95e94aeff59df948adc85b8acd6b4efe117fb50a124f19b4227bee78e753
DIST zarith-1.9.1.tar.gz 92321 BLAKE2B d61def81600cb5f3ae931eabebcdf081b6025dd24b1deae46a55f5db4f2c67d44b38b9cb9d73fc7fd9bd76c81545294373e3df5969da217209079a2912a8e285 SHA512 e77620c66a59d35811acfc45c7ef3f0d50d3042194654b1f5b652a2ed5fb9d5f88e9173222e5ced286c61854434da05a4d96668089faa66ff2917afa677fc32f
diff --git a/dev-ml/zarith/zarith-1.11.ebuild b/dev-ml/zarith/zarith-1.11.ebuild
new file mode 100644
index 00000000000..038a15cc6fd
--- /dev/null
+++ b/dev-ml/zarith/zarith-1.11.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib toolchain-funcs
+
+DESCRIPTION="Arithmetic and logic operations over arbitrary-precision integers"
+HOMEPAGE="https://github.com/ocaml/Zarith"
+SRC_URI="https://github.com/ocaml/Zarith/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="doc mpir +ocamlopt"
+RESTRICT="!ocamlopt? ( test )"
+
+RDEPEND="
+ >=dev-lang/ocaml-4.05:=[ocamlopt=]
+ !mpir? ( dev-libs/gmp:0= )
+ mpir? ( sci-libs/mpir:= )"
+
+DEPEND="${RDEPEND} dev-lang/perl"
+DOCS=( README.md Changes )
+
+S="${WORKDIR}/Zarith-release-${PV}"
+
+src_configure() {
+ tc-export CC AR
+ ./configure \
+ -host "${CHOST}" \
+ -ocamllibdir /usr/$(get_libdir)/ocaml \
+ -installdir "${ED}"/usr/$(get_libdir)/ocaml \
+ $(usex mpir "-mpir" "-gmp") || die
+}
+
+src_compile() {
+ emake -j 1 HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt yes no) all
+ use doc && emake doc
+}
+
+src_test() {
+ emake HASOCAMLOPT=yes HASDYNLINK=yes tests
+}
+
+src_install() {
+ findlib_src_preinst
+
+ emake \
+ HASOCAMLOPT=$(usex ocamlopt yes no) \
+ HASDYNLINK=$(usex ocamlopt yes no) \
+ install
+
+ dosym zarith/libzarith.a /usr/$(get_libdir)/ocaml/libzarith.a
+
+ use doc && HTML_DOCS=( html/* )
+ einstalldocs
+}
next reply other threads:[~2021-01-11 23:04 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-11 23:04 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 11:41 [gentoo-commits] repo/gentoo:master commit in: dev-ml/zarith/ Arthur Zamarin
2025-03-08 12:19 Arthur Zamarin
2024-10-15 15:25 Arthur Zamarin
2024-07-15 13:45 Alfredo Tupone
2024-07-15 13:43 Alfredo Tupone
2024-03-01 4:01 Sam James
2024-02-29 23:58 Sam James
2024-02-14 19:47 Arthur Zamarin
2023-09-22 14:09 Maciej Barć
2021-09-12 19:11 Alfredo Tupone
2021-09-12 12:20 Alfredo Tupone
2021-04-18 21:27 Sam James
2021-04-18 6:48 Sam James
2021-04-18 6:47 Sam James
2021-03-15 4:02 Sam James
2021-03-03 14:23 Sam James
2021-02-26 9:39 Agostino Sarubbo
2021-02-26 8:09 Agostino Sarubbo
2021-02-25 7:33 Sam James
2021-01-14 6:38 Alfredo Tupone
2020-11-01 11:24 Sam James
2020-10-26 7:13 Alfredo Tupone
2020-10-25 23:19 Thomas Deutschmann
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-09-07 8:20 Sergei Trofimovich
2020-03-27 12:50 Alfredo Tupone
2020-03-27 12:39 Alfredo Tupone
2020-02-17 18:22 Alfredo Tupone
2020-02-17 18:20 Alfredo Tupone
2018-12-15 9:19 Mikle Kolyada
2017-10-17 6:04 Alexis Ballier
2017-09-28 8:42 Alexis Ballier
2017-09-10 18:00 Sergei Trofimovich
2017-09-10 18:00 Sergei Trofimovich
2017-07-09 8:20 Alexis Ballier
2017-05-26 13:53 Alexis Ballier
2017-02-23 1:14 Andrew Savchenko
2016-02-07 16:14 Alexis Ballier
2015-11-12 18:30 Alexis Ballier
2015-11-05 8:46 Alexis Ballier
2015-10-17 16:25 Alexis Ballier
2015-09-19 14:03 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1610406233.b0742694a6a835cd121ae5f5eb523240d95f329f.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox